using System.IO;

namespace Hula.Util {
public class Filter {
    public Filter() {
    }

    public virtual void Run(TextReader reader, TextWriter writer) {
	// Default implementation is a null filter
	char[] buffer = new char[1024];
	int read = reader.Read(buffer, 0, 1024);
	
	while (read > 0) {
	    writer.Write(buffer, 0, read);
	    read = reader.Read(buffer, 0, 1024);
	}
	writer.Flush();
    }
}
}
