using log4net.Config;
using log4net;
using Hula.Util;
using Hula.Mdb;

namespace Hula.Indexer {
public class HulaIndexer {
    public static void Main(string[] args) {
	using (MemMgr memmgr = new MemMgr()) {
	    Logging.Configure();
	    
	    IndexClient client = new IndexClient();
	    
	    using (IndexServer server = new IndexServer()) {
                server.Run(client);
            }
	}
    }
}
}
