<?
function RemoveSpacesAndColons($str) {
    $t = str_replace(":", "", $str);
    $t2 = str_replace(' ', "", $t);
    return $t2;
}

//DefineClass     Class=Novonyx:Services  ASN1=(null)     Container=1     super=Top-      containment=Top-Organization-Organizational Unit-       naming=O-       mandatory=O-    optional=
function DefineClass($ar) {
    global $ofile;

	//split the naming classes
	$ar2=explode('=', $ar[6]);
	$t = substr($ar2[1], 0, -1);

	$name=explode('=', $ar[1]);
	$classes[$name[1]] = $current;


    fwrite($ofile, sprintf("mdbclass: %s\nldapclass: %s\nnaming: %s\n\n",
            $name[1],
            RemoveSpacesAndColons($name[1]),
            $t));
}

//parse the command line and if any option is not there, then error out with a help screen
function ParseCommandLine($argv) {
    $cnt = count($argv);
    for($x=1;$x<$cnt;$x++) {
        $str = explode('=', $argv[$x]);
        if (strcasecmp($str[0], '-h') == 0) {
            PrintHelp();
        } else if (strcasecmp($str[0], '-i') == 0) {
            global $infile;
            $infile = $str[1];
            continue;
        } else if (strcasecmp($str[0], '-o') == 0) {
            global $outfile;
            $outfile = $str[1];
            continue;
        } else {
            PrintHelp();
        }
    }
}

function PrintHelp() {
    echo "Usage: \n";
    echo "  php -q generate-ldif.php -i=infilename -o=outfilename \n";
    echo "    -i:   the name of the file that contains the output from mdb.conf\n";
    echo "    -o:   the name of the file you would like to drop the translation table definitions into\n";
    exit;
}

ParseCommandLine($argv);
if (!isset($infile) || !isset($outfile)) {
    PrintHelp();
    exit;
}

$ifile = fopen($infile, "r");
$ofile = fopen($outfile, "w");

if (!$ifile || !$ofile) {
    echo "there was an error opening either of the files\n";
    exit;
}

while(!feof($ifile)) {
	$line = fgets($ifile);
	$ar = explode("	", $line);
	if ($ar[0] == "DefineClass") {
		DefineClass($ar);
	}
}

?>
